setBrowserPlayerRecovery
PUT
/api/v1/screens/{id}/browser/recovery
const url = 'https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/browser/recovery';const options = { method: 'PUT', headers: { cookie: 'tilecast_session=<tilecast_session>', 'Content-Type': 'application/json' }, body: '{"enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/browser/recovery \ --header 'Content-Type: application/json' \ --cookie tilecast_session=<tilecast_session> \ --data '{ "enabled": true }'Owner or Administrator regenerates the sole active recovery credential when enabled is true. False disables recovery. Existing sessions remain valid. Requires same-origin HTTPS and normal CSRF protection.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
enabled
required
boolean
Examplegenerated
{ "enabled": true}Responses
Section titled “ Responses ”Recovery state and new secret when regenerated
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
screenId
required
string format: uuid
recoveryEnabled
required
boolean
lastRecoveredAt
string format: date-time
recoverySecret
required
string
Examplegenerated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "screenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "recoveryEnabled": true, "lastRecoveredAt": "2026-04-15T12:00:00Z", "recoverySecret": "example" }}Administrative authorization or same-origin HTTPS required
Browser slot not found or outside user scope